cupsenable(8)

NAME
cupsdisable, cupsenable - stop/start printers and classes

SYNOPSIS
cupsdisable [ -E ] [ -U username ] [ -c ] [ -h server[:port] ] [ -r reason ] [ --hold ] destination(s)
cupsenable [ -E ] [ -U username ] [ -c ] [ -h server[:port] ] [ --release ] destination(s)

DESCRIPTION
cupsenable starts the named printers or classes while cupsdisable stops the named printers or classes.

OPTIONS
The following options may be used:

-E  Forces encryption of the connection to the server.

-U username
    Uses the specified username when connecting to the server.

-c  Cancels all jobs on the named destination.

-h server[:port]
    Uses the specified server and port.

--hold
    Holds remaining jobs on the named printer. Useful for allowing the current job to complete before performing maintenance.

-r "reason"
    Sets the message associated with the stopped state. If no reason is specified then the message is set to "Reason Unknown".

--release
    Releases pending jobs for printing. Use after running cupsdisable with the --hold option to resume printing.

CONFORMING TO
Unlike the System V printing system, CUPS allows printer names to contain any printable character except SPACE, TAB, "/", or "#". Also, printer and class names are not case-sensitive.

The System V versions of these commands are disable and enable, respectively. They have been renamed to avoid conflicts with the bash(1) built-in commands of the same names.

The CUPS versions of disable and enable may ask the user for an access password depending on the printing system configuration. This differs from the System V versions which require the root user to execute these commands.

SEE ALSO
cupsaccept(8), cupsreject(8), cancel(1), lp(1), lpadmin(8), lpstat(1), CUPS Online Help (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.